package com.kcim.common.enums;

/**
 * @program: CostAccount
 * @description: 报表项目类型
 * @author: Wang.YS
 * @create: 2023-10-25 16:33
 **/
public enum ReportItemTypeEnum {
    DRUG_INCOME("1","药品收入"),
    MATERIAL_INCOME("2","材料收入"),
    ITEM_INCOME("3","项目收入"),
    DRUG_COST("4","药品成本"),
    MATERIAL_COST("5","材料成本"),
    ITEM_COST("6","项目成本"),
    EMP_COST("7","人力成本"),

    WEIGHT_EMP_COST("7_1","加成人为成本"),
    EQUIPMENT_COST("8","设备成本"),
    SPACE_COST("9","空间成本"),

    PUBLIC_SHARE("10","公共费用分摊"),

    MANAGER_SHARE("11","管理费用分摊"),

    ;
    private final String code;
    private final String name;

    ReportItemTypeEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public String getName() {
        return name;
    }
}
